Search listings with a text term
curl --request GET \
--url https://api.seminode.com/v1/listings/search \
--header 'Authorization: <api-key>'import requests
url = "https://api.seminode.com/v1/listings/search"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.seminode.com/v1/listings/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"content": {
"attributes": {
"coo": "<string>",
"currency": "<string>",
"custom": {},
"date_code": "<string>",
"description": "<string>",
"eccn": "<string>",
"lot_no": "<string>",
"moq": 123,
"mpq": 123,
"packaging": "<string>"
},
"batch_id": "<string>",
"company": "<string>",
"contact": {
"methods": [
"<string>"
],
"reply_url": "<string>"
},
"encrypted": {
"ciphertext": "<string>",
"payload": {}
},
"errors": {},
"image_url": "<string>",
"internal_no": "<string>",
"material_no": "<string>",
"mfr": "<string>",
"qty": 123,
"timing": {
"expiry": 123,
"lead_time": "<string>",
"lead_time_int": 123,
"required_date": 123
},
"type": "<string>",
"unit_price": 123
},
"created_at": "<string>",
"id": "<string>",
"kind": 123,
"public_key": "<string>",
"recipient_public_key": "<string>",
"reply_url": "<string>",
"root_id": "<string>",
"sig": "<string>",
"tags": [
[
"<string>"
]
],
"thread_id": "<string>",
"url": "<string>"
}
]{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Listings
Search listings with a text term
Performs a general text search over listings, returning matches for the given term. Optional result limit can be passed.
GET
/
listings
/
search
Search listings with a text term
Authorizations
BearerAuthLoginAuth
Format: "Bearer <access_token>"
Query Parameters
Search term (case-insensitive)
Max number of results to return (default: 250)
Was this page helpful?
⌘I

